## plymouth 24.004.60+git20250831.4a3c171d

=== meson_options.txt ===
option('logo',
  type: 'string',
  value: '',
  description: 'Full path for logo used by boot splash plugin (if empty, uses a fallback logo)',
)
option('background-color',
  type: 'string',
  value: '0x5d5950',
  description: 'Background color used by boot splash plugins',
)
option('background-start-color-stop',
  type: 'string',
  value: '0x807c71',
  description: 'First color stop in background gradients used by boot splash plugins',
)
option('background-end-color-stop',
  type: 'string',
  value: '0x3a362f',
  description: 'Last color end in background gradients used by boot splash plugins',
)
option('release-file',
  type: 'string',
  value: '/etc/system-release',
  description: 'Release file to use to detect distribution',
)
option('runstatedir',
  type: 'string',
  value: '/run',
  description: 'runstatedir',
)
option('boot-tty',
  type: 'string',
  value: '/dev/tty1',
  description: 'TTY to use in boot mode',
)
option('shutdown-tty',
  type: 'string',
  value: '/dev/tty63',
  description: 'TTY to use in shutdown mode',
)
option('tracing',
  type: 'boolean',
  value: true,
  description: 'Build with verbose debug tracing spew',
)
option('upstart-monitoring',
  type: 'boolean',
  value: false,
  description: 'Listen for messages on the Upstart D-Bus interface',
)
option('systemd-integration',
  type: 'boolean',
  value: true,
  description: 'Coordinate boot up with systemd',
)
option('udev',
  type: 'feature',
  value: 'auto',
  description: 'Build with udev support',
)
option('pango',
  type: 'feature',
  value: 'enabled',
  description: 'Build with pango support (if enabled, used for encryption prompts)',
)
option('freetype',
  type: 'feature',
  value: 'enabled',
  description: 'Build with freetype support (if enabled, used for encryption prompts)',
)
option('gtk',
  type: 'feature',
  value: 'enabled',
  description: 'Build with GTK support (if disabled, there is no X11 support)',
)
option('drm',
  type: 'boolean',
  value: true,
  description: 'Build with drm kms support',
)
option('docs',
  type: 'boolean',
  value: true,
  description: 'Build documentation',
)

## plymouth 0.8.2

=== debian/changelog ===
plymouth (0.8.2-2ubuntu31.1) precise-proposed; urgency=low

  * plymouth-ready.conf: Send an event to indicate plymouth is up. Needed
    to inform login managers that they can start without racing with
    plymouth-splash. (LP: #982889)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 03 May 2013 10:49:34 +0300

plymouth (0.8.2-2ubuntu31) precise-proposed; urgency=low

  * debian/patches/plymouth-optional-drm.patch: backport patch to disable
    intel dependency on !x86 (LP: #927424)
  * drop dependency drm-intel1 on !x86
  * debian/patches/plymouth-old-nouveau.patch: updated to use libdrm_nouveau1,
    needed for building on the updated libdrm.
  * debian/patches/autoreconf.patch: refreshed for above patches

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Fri, 18 Jan 2013 17:59:35 +0100

plymouth (0.8.2-2ubuntu30) precise; urgency=low

  [ Philip Muškovac ]
  * debian/patches/kubuntu-text.patch:
    Change kubuntu-text theme to new grey (LP: #979824)

  [ James Hunt ]
  * Temporary work-around that minimizes chance of referencing invalid
    sources (LP: #553745). 

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 13 Apr 2012 15:11:36 +0100

plymouth (0.8.2-2ubuntu29) precise; urgency=low

  * debian/patches/main-Don-t-watch-for-keyboard-input-if-no-keyboard.patch:
    Cherry-pick from upstream; don't watch for keyboard input if no keyboard
    is set, as is the case when should_ignore_show_splash_calls() returns
    true, fixing an assert failure.  LP: #619021.
  * debian/ubuntu-logo.png: remove in favor of the logo included in the
    ubuntu-logo theme which has the correct branding.  This has no impact on
    the default user experience, but fixes the branding when using certain
    non-default themes available in the archive.  (We still ship a copy in
    the main plymouth package for this reason.)  LP: #667262.
  * debian/patches/tty1-after-boot.patch: Switch back to tty1 on exit if
    started with vt.handoff.  Closes LP: #913731.
  * debian/plymouth-theme-{k,}ubuntu-text.{triggers,postinst}: regenerate
    our theme when /etc/lsb-release changes.  LP: #957380.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Apr 2012 04:59:54 +0000

plymouth (0.8.2-2ubuntu28) oneiric; urgency=low

  * debian/libplymouth2.apport: collect boot.log and plymouth-debug.log if it
    exists (LP: #860371)

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Sep 2011 07:23:45 +0200

plymouth (0.8.2-2ubuntu27) oneiric; urgency=low

  * debian/plymouth.upstart: don't start up on 'stopped gdm' or 'stopped
    lightdm' since on upgrade one of these two will always be stopped at
    system boot.  Instead look for a 'desktop-shutdown' event, and declare
    appropriate Breaks: against earlier versions of gdm, lightdm, kdm and
    lxdm that don't implement this event.  LP: #854329.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Sep 2011 22:58:30 -0700

plymouth (0.8.2-2ubuntu26) oneiric; urgency=low

  * Add direct dependency on ttf-dejavu-core since that's the font used in
    the initramfs-tools hook, instead of trusting that fontconfig-config
    pulls in the right alternative.  LP: #828027.
  * debian/initramfs-tools/scripts/init-bottom/plymouth: /run doesn't get
    moved to ${rootmnt}/run until *after* our script has run, so don't try
    to check for it before calling plymouth update-root-fs - it's not like
    we would ever want to not pivot root, anyway.  Fixes the fact that we
    haven't been getting /var/log/boot.log for months now.
  * debian/plymouth.plymouth-stop.upstart: if stopped by lightdm, let
    lightdm handle the VT transition as it's able, so we get flicker-free
    boot.  LP: #849954.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Sep 2011 10:56:55 -0700

plymouth (0.8.2-2ubuntu25) oneiric; urgency=low

  * debian/libplymouth2.apport: include grub configuration file and the
    contents of /proc/cmdline when reporting a bug with apport (LP: #787685)

 -- Brian Murray <brian@ubuntu.com>  Tue, 19 Jul 2011 09:57:35 -0700

plymouth (0.8.2-2ubuntu24) oneiric; urgency=low

  * initramfs scripts: /dev/.initramfs/ → /run/initramfs transition.
    (LP: #810956)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Jul 2011 12:26:00 +0200

plymouth (0.8.2-2ubuntu23) natty-proposed; urgency=low

  * details/plugin.c: On every key stroke, the "details" plugin in plymouth
    clears only the current line before overwriting it with the password
    prompt. If the prompt is multilined then the last line ends up being
    overwritten but the previous lines are repeated. Re-printing only the
    last line of the password prompt on every keystroke. (LP: #566818)
  * details/plugin.c: Removed the explicit printing of ':'. Expected to be a
    part of the prompt.

 -- Surbhi Palande <surbhi.palande@canonical.com>  Thu, 21 Apr 2011 09:54:07 +0300

plymouth (0.8.2-2ubuntu22) natty; urgency=low

  * Install slave alternative for plymouth-theme-ubuntu-logo, telling GRUB
    to set an aubergine background (LP: #696915).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Apr 2011 14:35:17 +0100

plymouth (0.8.2-2ubuntu21) natty; urgency=low

  * Tolerate pre-multiarch versions of pango (LP: #741832).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2011 11:07:14 +0100

plymouth (0.8.2-2ubuntu20) natty; urgency=low

  * Backport from upstream:
    - [event-loop] Add reference count to event sources (with any luck, this
      will fix LP: #553745).
    - [event-loop] Handle more than 8 events at once (LP: #518926).
    - [terminal] Force enter to output newline.
    - [terminal] Add OPOST to tty attributes (LP: #546251).
    - [terminal] Don't set ISTRIP in terminal attributes.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Mar 2011 14:17:20 +0000

plymouth (0.8.2-2ubuntu19) natty; urgency=low

  * debian/initramfs-tools/hooks/plymouth: handle the nss_files modules
    being in the multiarch library path instead of in /lib.


=== debian/control ===
Source: plymouth
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.3.15ubuntu3), libpng12-dev, libcairo2-dev, libgtk2.0-dev, libpango1.0-dev, autotools-dev, libdrm-dev (>= 2.4.39-0ubuntu0.1~), libdbus-1-dev, libncursesw5-dev, dpkg-dev (>= 1.16.0~ubuntu4)
Standards-Version: 3.8.3.0
Vcs-Bzr: lp:ubuntu/plymouth

Package: plymouth
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplymouth2 (= ${binary:Version}), libdrm-intel1 [i386 amd64] | libdrm-radeon1 | libdrm-nouveau1a, udev (>= 166-0ubuntu4), mountall (>= 2.0), initramfs-tools
Recommends: plymouth-theme-ubuntu-text | plymouth-theme
Conflicts: usplash
Breaks: gdm (<< 3.0.4-0ubuntu11), kdm (<< 4:4.7.1-0ubuntu3), ubuntustudio-plymouth-theme (<= 0.38), xubuntu-plymouth-theme (<< 10.04.4), lubuntu-plymouth-theme (<= 0.4), lightdm (<< 0.9.7-0ubuntu2), lxdm (<< 0.4.1-0ubuntu2)
Description: graphical boot animation and logger - main package
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.

Package: plymouth-x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplymouth2 (= ${binary:Version}), plymouth (= ${binary:Version})
Replaces: plymouth (<< 0.8.0~-9)
Description: graphical boot animation and logger - X11 interface
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the X11 renderer, which allows plymouth to interact
 with running X sessions.

Package: plymouth-label
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libplymouth2 (= ${binary:Version}), plymouth (= ${binary:Version}), ttf-dejavu-core
Replaces: plymouth (<< 0.8.1-4)
Description: graphical boot animation and logger - label control
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the label control, used by various graphical themes
 to render text.

Package: libplymouth2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plymouth (<< 0.7.0+git20090207-0ubuntu0.1~ppa4)
Breaks: mountall (<< 2.8), casper (= 1.227)
Description: graphical boot animation and logger - shared libraries
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the shared libraries.

Package: libplymouth-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libplymouth2 (= ${binary:Version})
Replaces: plymouth (<< 0.7.0+git20090207-0ubuntu0.1~ppa4)
Description: graphical boot animation and logger - development files
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the development files to build Plymouth plugins.

Package: plymouth-theme-fade-in
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - fade-in theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the fade-in theme that features a centred logo
 which fades in and out while stars twinkle around it.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-glow
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - glow theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the glow theme that features a corporate-looking
 pie chart for boot progress followed by a glowing logo once boot finishes.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-script
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - script theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the example script theme, useful for theme developers.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-solar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Description: graphical boot animation and logger - solar theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the solar theme that features a violent blue
 flaring star, and other space-like animations.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-spinfinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - spinfinity theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the spinfinity theme that features a rotating
 infinity sign beneath the logo.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-ubuntu-logo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-label
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - ubuntu-logo theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default ubuntu-logo theme.

Package: plymouth-theme-text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - text theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the text theme used when no support for a
 graphical theme is found on your system.
 .
 These theme may not correctly display messages from filesystem
 decryption, checking or error handling.

Package: plymouth-theme-ubuntu-text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - ubuntu-logo theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default ubuntu-text text theme used when no
 support for a graphical theme is found on your system.

Package: plymouth-theme-kubuntu-text
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plymouth, plymouth-theme-ubuntu-text
Provides: plymouth-theme
Replaces: plymouth (<< 0.8.1-1~)
Description: graphical boot animation and logger - kubuntu-text theme
 Plymouth is an application that runs very early in the boot process
 (even before the root filesystem is mounted!) that provides a graphical
 boot animation while the boot process happens in the background.
 .
 This package contains the default kubuntu-text text theme used when no
 support for a graphical theme is found on your system.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@


CFLAGS = -Wall -g
LDFLAGS = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	LDFLAGS += -Wl,-O0
else
	CFLAGS += -O2
	LDFLAGS += -Wl,-O1
endif

# This renderer is only available on architectures that are sufficiently
# PC-like
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 armel i386 ia64))
	VGA_RENDERER=lib/plymouth/renderers/vga16fb.so
endif

ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	INTEL_CONFFLAGS=--enable-libdrm_intel
else
	INTEL_CONFFLAGS=--disable-libdrm_intel
endif

override_dh_auto_configure:
	dh_auto_configure -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
		--libdir=/lib \
		--datadir=/lib \
		--enable-tracing \
		--disable-tests \
		--disable-maintainer-mode \
		--disable-gdm-transition \
		--with-system-root-install \
		--without-rhgb-compat-link \
		--without-gdm-autostart-file \
		--without-default-plugin   \
		--with-logo=/lib/plymouth/ubuntu_logo.png \
		--with-background-color=0x2c001e \
		--with-background-start-color-stop=0x2c001e \
		--with-background-end-color-stop=0x2c001e \
		--with-boot-tty=/dev/tty7 \
		--with-shutdown-tty=/dev/tty7 \
		--enable-upstart-monitoring \
		$(INTEL_CONFFLAGS)

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/tmp/usr/share/apport/package-hooks
	install -m 644 debian/libplymouth2.apport debian/tmp/usr/share/apport/package-hooks/source_plymouth.py

override_dh_install:
	sed -e'/frame-buffer\.so$$/a\
$(VGA_RENDERER)' < debian/plymouth.install.in > debian/plymouth.install
	dh_install
	sed -i -e's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/g' \
		debian/plymouth/usr/share/initramfs-tools/hooks/plymouth

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/plymouth.install

# Don't start plymouth when installing!
override_dh_installinit:
	dh_installinit --noscripts
	dh_installinit --name=plymouth-log --noscripts
	dh_installinit --name=plymouth-splash --noscripts
	dh_installinit --name=plymouth-stop --noscripts
	dh_installinit --name=plymouth-upstart-bridge --noscripts
	dh_installinit --name=plymouth-ready --noscripts

# Make the initramfs scripts executable
override_dh_fixperms:
	dh_fixperms
	chmod 755 debian/plymouth/usr/share/initramfs-tools/hooks/plymouth
	chmod 755 debian/plymouth/usr/share/initramfs-tools/scripts/init-top/plymouth
	chmod 755 debian/plymouth/usr/share/initramfs-tools/scripts/init-bottom/plymouth
	chmod 755 debian/plymouth/usr/share/initramfs-tools/scripts/panic/plymouth

# Don't generate shlibs for plugins (ideally these wouldn't have a SONAME)
override_dh_makeshlibs:
	dh_makeshlibs -X/lib/plymouth/

## plymouth 0.8.2-2-1mint6

=== debian/changelog ===
plymouth (0.8.2-2-1mint6) isadora-kde; urgency=low

  * Coloured ubuntu-text theme to blue dots, in file plugin.c.

 -- Jamie Birse <boo.birse@gmail.com>  Sat, 03 Jul 2010 12:38:51 +0000

plymouth (0.8.2-2-1mint5) isadora-kde; urgency=low

  * Rebranded text theme to mint kde.

 -- Jamie Birse <boo.birse@gmail.com>  Sat, 19 Jun 2010 06:17:44 +0000

plymouth (0.8.2-2-1mint4) isadora-kde; urgency=low

  * Rebranded to Mint KDE in ubuntu-logo theme.
  * Changed to isadora-kde repository.

 -- Jamie Birse <boo.birse@gmail.com>  Wed, 16 Jun 2010 13:00:43 +0000

plymouth (0.8.2-2-1mint3) isadora; urgency=low

  * Blanked "16"-like artwork in ubuntu-logo
  * Debranded ubuntu-text

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 7 May 2010 09:04:00 +0000

plymouth (0.8.2-2-1mint2) isadora; urgency=low

  * Switched from glow to ubuntu-logo theme

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 25 Apr 2010 18:31:00 +0000

plymouth (0.8.2-2-1mint1) isadora; urgency=low

  * Rebranded

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 24 Apr 2010 21:20:00 +0000

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,6 @@
 
 CFLAGS = -Wall -g
 LDFLAGS = -Wl,--as-needed
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 # Disable optimisations if noopt found in $DEB_BUILD_OPTIONS
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -21,13 +19,7 @@
 # PC-like
 ifneq (,$(filter $(DEB_HOST_ARCH),amd64 armel i386 ia64))
 	VGA_RENDERER=lib/plymouth/renderers/vga16fb.so
-endif
-
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
-	INTEL_CONFFLAGS=--enable-libdrm_intel
-else
-	INTEL_CONFFLAGS=--disable-libdrm_intel
-endif
+endif	
 
 override_dh_auto_configure:
 	dh_auto_configure -- CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
@@ -41,14 +33,12 @@
 		--without-rhgb-compat-link \
 		--without-gdm-autostart-file \
 		--without-default-plugin   \
-		--with-logo=/lib/plymouth/ubuntu_logo.png \
-		--with-background-color=0x2c001e \
-		--with-background-start-color-stop=0x2c001e \
-		--with-background-end-color-stop=0x2c001e \
+		--with-logo=/lib/plymouth/ubuntu-logo.png \
+		--with-background-color=0x000000 \
+		--with-background-start-color-stop=0x000000 \
+		--with-background-end-color-stop=0x000000 \
 		--with-boot-tty=/dev/tty7 \
-		--with-shutdown-tty=/dev/tty7 \
-		--enable-upstart-monitoring \
-		$(INTEL_CONFFLAGS)
+		--with-shutdown-tty=/dev/tty7
 
 override_dh_auto_install:
 	dh_auto_install
@@ -59,8 +49,6 @@
 	sed -e'/frame-buffer\.so$$/a\
 $(VGA_RENDERER)' < debian/plymouth.install.in > debian/plymouth.install
 	dh_install
-	sed -i -e's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/g' \
-		debian/plymouth/usr/share/initramfs-tools/hooks/plymouth
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -72,8 +60,6 @@
 	dh_installinit --name=plymouth-log --noscripts
 	dh_installinit --name=plymouth-splash --noscripts
 	dh_installinit --name=plymouth-stop --noscripts
-	dh_installinit --name=plymouth-upstart-bridge --noscripts
-	dh_installinit --name=plymouth-ready --noscripts
 
 # Make the initramfs scripts executable
 override_dh_fixperms:

## plymouth 0.8.3

=== debian/changelog ===
plymouth (0.8.3-20) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Compacting copyright file.
  * Removing superfluous README.source.
  * Adding note about nvidia cards in readme.
  * Updating to standards version 3.9.2.
  * Switching architecture fields to linux-any (Closes: #611593,
    #637034).
  * Exit early in initscript if package was removed but not purged,
    thanks to Maximilian Gaukler <development@maxgaukler.de> (Closes:
    #617857).
  * Adding patch from Michael Prokop <mika@debian.org> to fix wrong
    return code of plymouth-set-default-theme (Closes: #605018).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Sep 2011 15:34:42 +0200

plymouth (0.8.3-19) unstable; urgency=low

  * Applying patch from Steve Langasek <steve.langasek@ubuntu.com> to support
    multiarch (Closes: #634253).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jul 2011 20:55:29 +0200

plymouth (0.8.3-18) unstable; urgency=low

  * Switching to source format 3.0 (quilt).
  * Replacing debian logo with a swirl (Closes: #603286).
  * Rediffing set-default-framebuffer-device-to-dev-fb0.patch.
  * Adding debian-logo.png to source/include-binaries.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 20 Nov 2010 16:27:22 +0100

plymouth (0.8.3-17) unstable; urgency=medium

  [ Julien Cristau ]
  * Cherry-pick "[terminal] don't stomp over original tty lock
    settings". Prevents setting tty1 in 'echo' mode after boot (Closes:
    595178).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 13 Oct 2010 18:01:24 +0200

plymouth (0.8.3-16) unstable; urgency=low

  * Correcting themes depends (Closes: #599411).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 07 Oct 2010 15:02:11 +0200

plymouth (0.8.3-15) unstable; urgency=low

  * Updating to debhelper version 8.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 07 Oct 2010 08:15:17 +0200

plymouth (0.8.3-14) experimental; urgency=low

  * Adding conflicts/replaces for old plymouth on plymouth-x11 (Closes:
    #598733).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 02 Oct 2010 11:41:37 +0200

plymouth (0.8.3-13) experimental; urgency=low

  * Reverting patch from upstream for make plymouth work with systemd,
    made plymouth break otherwise (Reopen: #596680).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 01 Oct 2010 07:18:25 +0200

plymouth (0.8.3-12) experimental; urgency=low

  * Adding patch from upstream prepared by Michael Biebl
    <biebl@debian.org> to make plymouth work with systemd (Closes:
    #596680).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 14 Sep 2010 21:21:39 +0200

plymouth (0.8.3-11) experimental; urgency=low

  * Adding symlink from plymouth.8 to plymouth-set-default-theme.8
    (Closes: #596570).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 12 Sep 2010 19:29:47 +0200

plymouth (0.8.3-10) experimental; urgency=low

  * Making pango build-depends unversioned, not needed anymore.
  * Splitting out kms stuff into plymouth-drm, this allows to have the
    plymouth package containing everything for the text splash without
    any depends other than libc6 and initramfs-tools.
  * Correcting conditionals for text theme in initramfs hook.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 11 Sep 2010 00:01:15 +0200

plymouth (0.8.3-9) unstable; urgency=high

  * Removing superfluous reference to intel_agp and drm in
    README.Debian, thanks to Julien Cristau <jcristau@debian.org>.
  * Shipping preconfigured plymouthd.conf instead of setting the default
    theme in postinst which doesn't work reliable (Closes: #594999).
  * Correcting typo in fontconfig-config package name in previous
    changelog entry.
  * Avoid kms bloat if text theme is used (the text theme only works in
    non-kms mode anyway).
  * Also setting default plugin to text in plymouthd.defaults.
  * Downgrading fontconfig-config and ttf-dejavu-core depends to
    recommends, they are not needed when running the default text
    plugin.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 10 Sep 2010 22:06:46 +0200

plymouth (0.8.3-8) unstable; urgency=low

  [ Anisse Astier ]
  * Adding fontconfig-config to depends.

  [ Daniel Baumann ]
  * Updating postinst script to deal with not just with empty but also
    with the uninitialized theme.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 06 Sep 2010 13:31:39 +0200

plymouth (0.8.3-7) unstable; urgency=low

  * Calling plymouthd with --attach-to-session (Closes: #575177,
    #593408, #595178).
  * Setting default plugin to text if nothing else was specified
    (Closes: #594999).
  * Adding shutdown and restart messages in initscript when using text
    plugin, thanks to Leszek Lesner <leszek.lesner@googlemail.com>.
  * Updating to standards version 3.9.1.
  * Updating README.Debian for plymouth 0.8.
  * Adding information for AMD (ATI) graphic cards to README.Debian,
    thanks to Sebastian Leske <Sebastian.Leske@sleske.name> (Closes:
    #591623).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 06 Sep 2010 12:30:29 +0200

plymouth (0.8.3-6) unstable; urgency=low

  * Removing old conflicts and replaces.
  * Correcting spelling typo in package description (Closes: #592866).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 14 Aug 2010 12:44:50 +0200

plymouth (0.8.3-5) unstable; urgency=high

  [ Daniel Baumann ]
  * Updating standards version to 3.9.0.

  [ Anisse Astier ]
  * Starting plymouth as late as possible in order to have it on screen
    until X is started on an user mode setting system.

  [ Daniel Baumann ]
  * Adding depends to ttf-dejavu-core, thanks to Anisse Astier
    <anisse@astier.eu>.



=== debian/control ===
Source: plymouth
Section: misc
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 8), autotools-dev, libdrm-dev, libgtk2.0-dev, libpango1.0-dev,
 libpng-dev, pkg-config, dpkg-dev (>= 1.16.0)
Standards-Version: 3.9.2
Homepage: http://www.freedesktop.org/wiki/Software/Plymouth

Package: plymouth
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools
Description: Graphical Boot Animation and Logger
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.

Package: plymouth-drm
Architecture: linux-any
Depends:
 ${misc:Depends}, ${shlibs:Depends}, plymouth (= ${binary:Version}),
 fontconfig-config, ttf-dejavu-core
Conflicts: plymouth (<< 0.8.3-10)
Replaces: plymouth
Recommends: plymouth-themes-all
Description: Graphical Boot Animation and Logger (DRM)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the DRM backend for systems supporting Kernel Mode
 Setting (KMS).

Package: plymouth-x11
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, plymouth-drm (= ${binary:Version})
Conflicts: plymouth (<< 0.8.3-10)
Replaces: plymouth
Suggests: gdm
Description: Graphical Boot Animation and Logger
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the x11 renderer and the log viewer.

Package: plymouth-dev
Architecture: linux-any
Depends:
 ${misc:Depends}, plymouth (= ${binary:Version}),
 plymouth-drm (= ${binary:Version}), plymouth-x11 (= ${binary:Version})
Description: Graphical Boot Animation and Logger (development)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the development files.

Package: plymouth-themes-all
Architecture: all
Depends:
 ${misc:Depends}, plymouth-themes-fade-in, plymouth-themes-glow,
 plymouth-themes-script, plymouth-themes-solar, plymouth-themes-spinfinity
Description: Graphical Boot Animation and Logger (themes metapackage)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package is a metapackage depending on all available themes.

Package: plymouth-themes-fade-in
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (fade-in theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the fade-in theme. It features a centered logo that
 fades in and out while stars twinkle around the logo during system boot up.

Package: plymouth-themes-glow
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (glow theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the glow theme. It features a pie chart as progress
 indicator.

Package: plymouth-themes-script
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (script theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the script theme. It features a simple base theme.

Package: plymouth-themes-solar
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (solar theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the solar theme. It features a blue flamed sun with
 animated solar flares.

Package: plymouth-themes-spinfinity
Architecture: all
Depends: ${misc:Depends}, plymouth-drm (>= ${source:Version})
Provides: plymouth-theme
Description: Graphical Boot Animation and Logger (spinfinity theme)
 Plymouth provides an attractive boot animation in place of the text messages
 that normally get shown. Text messages are instead redirected to a logfile for
 viewing after boot.
 .
 This package contains the spinfinity theme. It features a centered logo and
 animated spinner that spins in the shape of an infinity sign.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean

	rm -f build-tools/config.guess build-tools/config.sub

override_dh_auto_configure:
	cp -f /usr/share/misc/config.guess build-tools
	cp -f /usr/share/misc/config.sub build-tools

	dh_auto_configure -- --prefix=/usr --localstatedir=/var --enable-pango \
		--enable-tracing --disable-tests --disable-gdm-transition \
		--with-system-root-install --without-rhgb-compat-link \
		--with-gdm-autostart-file \
		--with-release-file=/etc/debian_version \
		--with-logo=/usr/share/plymouth/debian-logo.png \
		--with-background-color=0x005a8a

override_dh_install:
	# Removing useless files
	rm -f debian/tmp/lib/*.la
	rm -f debian/tmp/usr/lib/*.la
	rm -f debian/tmp/usr/lib/plymouth/*.la
	rm -f debian/tmp/usr/lib/plymouth/*/*.la

	dh_install --fail-missing

	# Adding initramfs-tools integration
	install -D -m 0755 debian/local/plymouth.hook debian/plymouth/usr/share/initramfs-tools/hooks/plymouth
	sed -i -e's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/g' debian/plymouth/usr/share/initramfs-tools/hooks/plymouth
	install -D -m 0755 debian/local/plymouth.init-premount debian/plymouth/usr/share/initramfs-tools/scripts/init-premount/plymouth
	install -D -m 0755 debian/local/plymouth.init-bottom debian/plymouth/usr/share/initramfs-tools/scripts/init-bottom/plymouth

	# Adding other debian specific files
	install -D -m 0644 debian/local/debian-logo.png debian/plymouth/usr/share/plymouth/debian-logo.png
	install -D -m 0755 debian/local/plymouth-update-initrd debian/plymouth/usr/lib/plymouth/plymouth/plymouth-update-initrd

override_dh_makeshlibs:
	dh_makeshlibs -p plymouth
	dh_makeshlibs -p plymouth-drm

override_dh_installinit:
	dh_installinit --no-start -- start 21 2 3 4 5 . stop 02 0 6 .
